Bug 224509 - net-mgmt/nagios patch to support php7
Summary: net-mgmt/nagios patch to support php7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-21 20:47 UTC by Palle Girgensohn
Modified: 2018-01-23 23:31 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mat)


Attachments
patch php to change split to explode (1.41 KB, patch)
2017-12-21 20:47 UTC, Palle Girgensohn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Palle Girgensohn freebsd_committer 2017-12-21 20:47:02 UTC
Created attachment 189019 [details]
patch php to change split to explode

PHP7 deprecated split: http://php.net/manual/en/function.split.php
Comment 1 Mathieu Arnold freebsd_committer 2017-12-22 07:44:19 UTC
Has this been obtained from upstream, or if you made it yourself, have you submitted it upstream?
Comment 2 Palle Girgensohn freebsd_committer 2018-01-23 10:39:01 UTC
Hi!

I made it myself and have not submitted upstreams.

Since the fix is only for nagios-3.5, I'm not sure they will take interest? There is no branch for 3.5 in their repo so I couldn't post a pull request, only a bug report: https://github.com/NagiosEnterprises/nagioscore/issues/467

I suggest adding this trivial patch in the FreeBSD repo for now.

OK to commit?

Palle
Comment 3 Palle Girgensohn freebsd_committer 2018-01-23 11:04:28 UTC
Here's the answer: 

```
I'm not sure much will get done about this, Version 3.5 is pretty old now (more than 4 years since it was released), is there a reason why you're still using such an old version?

Nagios4 already runs on PHP7, there's nothing to be done to support it.

```

I think that is reasonable. I think we should commit the patch. Perhaps also deprecate the port altogether, since it is not supported upstreams?

Palle
Comment 4 Mathieu Arnold freebsd_committer 2018-01-23 12:30:37 UTC
We still have the port because I tried a few times to migrate my nagios 3 installations to nagios 4, and it never worked, it was always stuck in some strange loop, or crashed, or did not run any probe.  Since then I migrated to icinga, so I do not think it is needed any more. (I know, those are my needs.)
Feel free to commit the patch.
Comment 5 Palle Girgensohn freebsd_committer 2018-01-23 13:45:27 UTC
Yeahm nagios is a bitch sometimes.

I'll commit the patch, and let's leave it at that for a while.

Thanks,

Palle
Comment 6 commit-hook freebsd_committer 2018-01-23 23:31:49 UTC
A commit references this bug:

Author: girgen
Date: Tue Jan 23 22:54:04 UTC 2018
New revision: 459801
URL: https://svnweb.freebsd.org/changeset/ports/459801

Log:
  Help nagios cope with php-7

  split has been replaced with explode

  PR:	224509

Changes:
  head/net-mgmt/nagios/Makefile
  head/net-mgmt/nagios/files/patch-html_includes_rss_parse.inc